Bug 1312005 - [abrt] sddm: SDDM::XcbKeyboardBackend::initLedMap(): sddm-greeter killed by SIGSEGV
[abrt] sddm: SDDM::XcbKeyboardBackend::initLedMap(): sddm-greeter killed by S...
Status: CLOSED DUPLICATE of bug 1419268
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:85226ccd4223494c2882b1b1bc1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 08:50 EST by Ryan
Modified: 2017-02-04 10:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:01:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.89 KB, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: core_backtrace (1.70 KB, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: dso_list (8.86 KB, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: environ (464 bytes, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: maps (40.74 KB, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: mountinfo (3.12 KB, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: open_fds (804 bytes, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: proc_pid_status (1022 bytes, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details
File: var_log_messages (309 bytes, text/plain)
2016-02-25 08:50 EST, Ryan
no flags Details

  None (edit)
Description Ryan 2016-02-25 08:50:11 EST
Version-Release number of selected component:
sddm-0.13.0-4.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/sddm-greeter --socket /tmp/sddm-:0-ZEkAbp --theme /usr/share/sddm/themes/01-breeze-fedora
crash_function: SDDM::XcbKeyboardBackend::initLedMap
executable:     /usr/bin/sddm-greeter
global_pid:     1114
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            992

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 SDDM::XcbKeyboardBackend::initLedMap at /usr/src/debug/sddm-0.13.0/src/greeter/XcbKeyboardBackend.cpp:122
 #1 SDDM::XcbKeyboardBackend::init at /usr/src/debug/sddm-0.13.0/src/greeter/XcbKeyboardBackend.cpp:40
 #2 SDDM::KeyboardModel::KeyboardModel at /usr/src/debug/sddm-0.13.0/src/greeter/KeyboardModel.cpp:31
 #3 SDDM::GreeterApp::GreeterApp at /usr/src/debug/sddm-0.13.0/src/greeter/GreeterApp.cpp:114

Potential duplicate: bug 1244447
Comment 1 Ryan 2016-02-25 08:50:18 EST
Created attachment 1130540 [details]
File: backtrace
Comment 2 Ryan 2016-02-25 08:50:19 EST
Created attachment 1130541 [details]
File: cgroup
Comment 3 Ryan 2016-02-25 08:50:21 EST
Created attachment 1130542 [details]
File: core_backtrace
Comment 4 Ryan 2016-02-25 08:50:23 EST
Created attachment 1130543 [details]
File: dso_list
Comment 5 Ryan 2016-02-25 08:50:24 EST
Created attachment 1130544 [details]
File: environ
Comment 6 Ryan 2016-02-25 08:50:26 EST
Created attachment 1130545 [details]
File: exploitable
Comment 7 Ryan 2016-02-25 08:50:27 EST
Created attachment 1130546 [details]
File: limits
Comment 8 Ryan 2016-02-25 08:50:30 EST
Created attachment 1130547 [details]
File: maps
Comment 9 Ryan 2016-02-25 08:50:32 EST
Created attachment 1130548 [details]
File: mountinfo
Comment 10 Ryan 2016-02-25 08:50:34 EST
Created attachment 1130549 [details]
File: namespaces
Comment 11 Ryan 2016-02-25 08:50:35 EST
Created attachment 1130550 [details]
File: open_fds
Comment 12 Ryan 2016-02-25 08:50:37 EST
Created attachment 1130551 [details]
File: proc_pid_status
Comment 13 Ryan 2016-02-25 08:50:39 EST
Created attachment 1130553 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:45:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 14:01:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Raphael Groner 2017-02-04 10:41:14 EST

*** This bug has been marked as a duplicate of bug 1419268 ***

Note You need to log in before you can comment on or make changes to this bug.